#ifndef _EXT_EEPROM_H
#define _EXT_EEPROM_H

#include <avr/io.h>



/*send page to eeprom, variable size possible
user has to take care, that count isn't higher then the number of bytes in array
parameters:		*array: pointer on array which contains information to write
				page: number of page, which should be used 0...511
				deviceadd: 0...3*/
extern void ext_eeprom_send_page (unsigned char *array, unsigned short page, unsigned char deviceadd);

/*reads page from eeprom, variable size possible
user has to take care, that count isn't higher then the number of bytes in array
parameters:		*array: pointer on array which will be filled with bytes read
				page: number of page, which should be used 0...511
				deviceadd: 0...3*/
extern void ext_eeprom_read_page (unsigned char *array, unsigned short page, unsigned char deviceadd);

/*acknowledge polling - useful after ext_eeprom_send_page (...)
if function returns 1, eeprom is ready*/
extern unsigned char ext_eeprom_poll_ack (unsigned char deviceadd);


/*!!! following routines only for testing -> for communication use the functions listed above !!!
most of them return the TWSR, try to use that in case of errors*/

/*initalize TWI*/
inline void ext_eeprom_init (void);
/*send start condition*/
extern unsigned char ext_eeprom_send_start (void);
/*send stop condition*/
extern void ext_eeprom_send_stop (void);
/*send eeprom address with set or cleared R/W-Bit
parameters: address: 0 ... 3
			rw: 0 for write, 1 for read access*/
extern unsigned char ext_eeprom_send_add_rw (unsigned char address, unsigned char rw);
/*send byte*/
extern unsigned char ext_eeprom_send_byte (unsigned char byte);
/*read byte*/
extern unsigned char ext_eeprom_read_byte (void);


#endif


