#include "ext_eeprom.h"
#include "lcd.h"
#include <stdlib.h>

int main (void)
{
	/*initialize display*/
	lcd_init (LCD_DISP_ON);
	lcd_clrscr ();
	
	/*put some characters in array*/
	unsigned char buffer [128];
	buffer [0] = 'x';
	buffer [1] = 'a';
	buffer [2] = 'b';
	buffer [3] = 'c';
	buffer [4] = 'd';
	buffer [5] = 'e';
	buffer [6] = 'f';
	buffer [127] = 'y';

	/*write array at page 1*/
	ext_eeprom_send_page (buffer, 1, 0);

	/*wait, until eeprom completes write-cycle*/
	while (!ext_eeprom_poll_ack (0));

	/*clean array*/
	for (int i = 0; i<128; i++)
		buffer [i] = 0;

	/*read array back from eeprom*/
	ext_eeprom_read_page (buffer, 1, 0);

	/*display characters to control that everything works fine*/
	for (int i=0; i<7; i++)
		lcd_putc (buffer [i]);
	lcd_putc (buffer [127]);
}


